Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultReimbursementConditionType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultReimbursementConditionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultReimbursementConditionType extends Object implements Serializable

Java class for ConsultReimbursementConditionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultReimbursementConditionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Expression" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Attachment" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAttachmentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="LegalTextRelativePath" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultReimbursementConditionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `List<ConsultAttachmentType>`
  `getAttachments()`
  Gets the value of the attachments property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getExpression()`
  Gets the value of the expression property.
  `String`
  `getKey()`
  Gets the value of the key property.
  `String`
  `getLegalTextRelativePath()`
  Path to the legal text concerning this reimbursement condition, evaluated from the legal reference node for this condition.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExpression(String value)`
  Sets the value of the expression property.
  `void`
  `setKey(String value)`
  Sets the value of the key property.
  `void`
  `setLegalTextRelativePath(String value)`
  Sets the value of the legalTextRelativePath property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultReimbursementConditionType

    public ConsultReimbursementConditionType()

- ## Method Details

  - ### getExpression

    public String getExpression()
    Gets the value of the expression property.
    Returns:
      possible object is `String`

  - ### setExpression

    public void setExpression(String value)
    Sets the value of the expression property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getAttachments

    public List<ConsultAttachmentType> getAttachments()
    Gets the value of the attachments property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attachments property.

    For example, to add a new item, do as follows:

         getAttachments().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultAttachmentType`

    Returns:
      The value of the attachments property.

  - ### getLegalTextRelativePath

    public String getLegalTextRelativePath()
    Path to the legal text concerning this reimbursement condition, evaluated from the legal reference node for this condition. Path elements are separated by a '-'. For example, 'ALINEA1-POINT1'.
    Returns:
      possible object is `String`

  - ### setLegalTextRelativePath

    public void setLegalTextRelativePath(String value)
    Sets the value of the legalTextRelativePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLegalTextRelativePath()`

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`